Package org.thymeleaf.extras.springsecurity5.dialect.processor

## Class AuthorizeAclAttrProcessor

- Object
- - org.thymeleaf.processor.AbstractProcessor
  - - org.thymeleaf.processor.element.AbstractElementTagProcessor
    - - org.thymeleaf.processor.element.AbstractAttributeTagProcessor
      - - org.thymeleaf.standard.processor.AbstractStandardConditionalVisibilityTagProcessor
        - - org.thymeleaf.extras.springsecurity5.dialect.processor.AuthorizeAclAttrProcessor

- All Implemented Interfaces:
    `org.thymeleaf.processor.element.IElementProcessor`, `org.thymeleaf.processor.element.IElementTagProcessor`, `org.thymeleaf.processor.IProcessor`

      public final class AuthorizeAclAttrProcessor
      extends org.thymeleaf.standard.processor.AbstractStandardConditionalVisibilityTagProcessor

  Takes the form sec:authorize-acl="object :: permissions", renders the element children (*tag content*) if the authenticated user has the specified permissions on the specified domain object, according to Spring Source's Access Control List system.
  Author:
    Daniel Fernández

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `ATTR_NAME` |
    `static int` | `ATTR_PRECEDENCE` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AuthorizeAclAttrProcessor​(org.thymeleaf.templatemode.TemplateMode templateMode, String dialectPrefix)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected static org.thymeleaf.standard.expression.IStandardExpression` | `getExpressionDefaultToLiteral​(org.thymeleaf.standard.expression.IStandardExpressionParser expressionParser, org.thymeleaf.context.IExpressionContext context, String input)` |
    `protected boolean` | `isVisible​(org.thymeleaf.context.ITemplateContext context, org.thymeleaf.model.IProcessableElementTag tag, org.thymeleaf.engine.AttributeName attributeName, String attributeValue)` |

    - ### Methods inherited from class org.thymeleaf.standard.processor.AbstractStandardConditionalVisibilityTagProcessor

      `doProcess`

    - ### Methods inherited from class org.thymeleaf.processor.element.AbstractAttributeTagProcessor

      `doProcess`

    - ### Methods inherited from class org.thymeleaf.processor.element.AbstractElementTagProcessor

      `getDialectPrefix, getMatchingAttributeName, getMatchingElementName, process`

    - ### Methods inherited from class org.thymeleaf.processor.AbstractProcessor

      `getPrecedence, getTemplateMode`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.thymeleaf.processor.IProcessor

      `getPrecedence, getTemplateMode`

- - ### Field Detail

    - #### ATTR_PRECEDENCE

          public static final int ATTR_PRECEDENCE

      See Also:
        Constant Field Values

    - #### ATTR_NAME

          public static final String ATTR_NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AuthorizeAclAttrProcessor

          public AuthorizeAclAttrProcessor​(org.thymeleaf.templatemode.TemplateMode templateMode,
                                           String dialectPrefix)

  - ### Method Detail

    - #### isVisible

          protected boolean isVisible​(org.thymeleaf.context.ITemplateContext context,
                                      org.thymeleaf.model.IProcessableElementTag tag,
                                      org.thymeleaf.engine.AttributeName attributeName,
                                      String attributeValue)

      Specified by:
        `isVisible` in class `org.thymeleaf.standard.processor.AbstractStandardConditionalVisibilityTagProcessor`

    - #### getExpressionDefaultToLiteral

          protected static org.thymeleaf.standard.expression.IStandardExpression getExpressionDefaultToLiteral​(org.thymeleaf.standard.expression.IStandardExpressionParser expressionParser,
                                                                                                               org.thymeleaf.context.IExpressionContext context,
                                                                                                               String input)